<%-- Script starter --%>
		var	t = $('#main');			
<ja:if test="${pageType}" value="index">
		<%-- Turtle gallery --%>
		var	i = t.find('.thumbs'), 
			f = t.find('.folders td');
		i.turtle({
			resPath:'${resPath}',
			relPath:'${relPath}',
			<ja:if test="${level}" not value="0">level:${level},</ja:if>
			<ja:if test="${skipIndex}">skipIndex:true,</ja:if>
			cols:${thumbCols},
			${jsGlobalVars}
			${jsIndexVars}
			<ja:if test="${locationCount}" not value="0">${jsMapVars}</ja:if>
		<%-- Only for dynamic mode --%>
			<ja:if not test="${makeSlides}">
			<ja:if test="${videoCount}" not value="0">${jsVideoVars}</ja:if>
			<ja:if test="${shopCount}" not value="0">${jsShopVars}</ja:if>
			<ja:if test="${useFotomoto}">fotomotoOn: ${useFotomoto},</ja:if>
			<ja:if exists="imgHook">imgHook:'<%= util.stripQuotes(engine.processTemplate(imgHook)); %>',${jsImgHookVars}</ja:if>
			</ja:if>
		<%-- dynamic mode --%>
			dummy:''
		}, {
			${jsTexts}
		});
		<ja:if test="${newDaysCount}" not value="0">
		if ( f.length ) {
			f.find('aside img').markFoldersNew({
				markNewDays:${newDaysCount},
				newLabel:'<span class="newlabel"><%= util.getText("newItem") %></span>'
			});
		}</ja:if>
</ja:if> <%-- index page --%>
		<ja:if test="${smartScroll}">
		<%-- Fixing long menus --%>
		<ja:if test="${splashVertical}">
		if ($('.top-nav').height() > 40) {
			$('#main .items').css({ 
				top:($('.top-nav').height() + 20) 
			});
		}</ja:if>
		<%-- Adding custom scroller to items and left box --%>
		if ( !document.touchMode ) {
			<ja:if test="${splashVertical}">
			t.find('.left-box > .cont').addScroll({
				<ja:if test="${facebookCommenting}">refresh:500,</ja:if>
				<ja:if not test="${enableMouseWheel}">enableMouseWheel:false,</ja:if> 
				enableKeyboard:false
			});
			</ja:if>
			t.find('.items > .cont').addScroll({
				<ja:if test="<%= !splashVertical && facebookCommenting %>">refresh:500,</ja:if>
				<ja:if not test="${enableMouseWheel}">enableMouseWheel:false,</ja:if> 
				<ja:if not test="${enableKeyboard}">enableKeyboard:false,</ja:if>
				focusActive:${focusCurrentThumb}
			});
		} else {
			$('#main').loadImages().on('scroll', function() {
				$(this).loadImages();
			});
		}
		</ja:if><ja:else>
		<%-- Normal browser scrolling --%>
		$('#main').loadImages().on('scroll', function() {
			$(this).loadImages();
		});
		</ja:else>
		<%-- Help --%>
		$('.helplink').turtleHelp({
			<ja:if not test="${enableKeyboard}">useF1:false,</ja:if>
			title:'{0}',			
			templ:<ja:if test="${skipIndex}">'<ul class="help gall"><li><span>1</span>{8}</li><li><span>2</span>{9}</li><li><span>3</span>{10}</li><li><span>4</span>{11}</li><li><span>5</span>{12}</li><li><span>6</span>{13}</li><li><span>7</span>{14}</li></ul><p>{15}</p>'</ja:if>
			<ja:else>'<ul class="help index"><li><span>1</span>{1}</li><li><span>2</span>{2}</li><li><span>3</span>{3}</li><li><span>4</span>{4}</li><li><span>5</span>{5}</li><li><span>6</span>{6}</li><li><span>7</span>{7}</li></ul><hr><ul class="help gall"><li><span>1</span>{8}</li><li><span>2</span>{9}</li><li><span>3</span>{10}</li><li><span>4</span>{11}</li><li><span>5</span>{12}</li><li><span>6</span>{13}</li><li><span>7</span>{14}</li></ul><p>{15}</p>'</ja:else>
		}, {
			${helpTexts}
		});
		<%-- Adding mouseover hints --%>
		var alignCtr = {<ja:if test="${splashVertical}">posX: 2, posY: 1, toX: 0, toY: 1</ja:if><ja:else>posX: 1, posY: 0, toX: 1, toY: 2</ja:else>};
		$('header .showhint, .homelink .showhint').addHint(alignCtr);
		$('footer .showhint').addHint();
		<%-- Setting up share buttons :: delayed by 100ms --%>
		<ja:if test="${anyShares}">
		setTimeout(function() {
			t.find('.share > a').addSocial({ 
				useHash:false,
				pos:alignCtr,
				${shareArray}
			});
		}, 100);
		</ja:if>
		<%-- Background audio --%>
		<ja:if exists="backgroundAudio">
		$('#bgaudio').addPlayer({
			src:'<%= util.stripQuot(backgroundAudio) %>',
			<ja:if test="${useAlbumAudioAsBackground}" value="false">folder:'${resPath}/',</ja:if>
			resPath:'${resPath}',
			auto:${backgroundAudioAutoPlay}, 
			loop:${backgroundAudioLoop},
			<ja:if test="${backgroundAudioRetainPosition}">saveStatus:true,</ja:if>
			mini:true,
			lowPriority:true,
			volume:0.5
		});
		</ja:if>
		<%-- Album info display on click --%>
		<ja:if exists="pageHeader">t.find('.about > a').on('click', function() {
			$('body').addModal($('.header').contents().clone(), {
				uid:'albuminfo',
				width:(t.find('.items').width() - 160)
			});
		});</ja:if>