<%-- Page footer --%>
<ja:if test="${pageType}" not value="slide">
				<ja:if test="${pageType}" value="page"></article></ja:if>
				<ja:if test="<%= facebookCommenting != void && facebookCommenting && !splashVertical %>"><div class="fb-comments" id="fb-comments" data-num-posts="${facebookCommentingPosts}" data-width="${galleryWidth}" data-colorscheme="${likeBtnTheme}"<ja:if exists="pageUrl"> data-href="${pageUrl}"</ja:if>></div></ja:if>
				<%-- Index page footer --%>
				<% getFooterLinks(); %>
				<ja:if test="<%= pageFooter != void && !util.isEmpty(pageFooter) ||
					promotion != void && !util.isEmpty(promotion) ||
					footerLinks != void && !util.isEmpty(footerLinks) %>">
				<footer><div class="wrap">
					<ja:if exists="pageFooter"><div class="custom-footer">${pageFooter}</div></ja:if>
					<ja:if exists="promotion"><div class="promotion">${promotion}</div></ja:if>
					<ja:if exists="footerLinks"><div class="footer-links">${footerLinks}</div></ja:if>
					<noscript>$text.javascriptWarning</noscript>
				</div></footer>
				</ja:if>
			</div>
		</div>
		<ja:if test="${splashVertical}"></div></ja:if>
		<ja:if exists="pageHeader"><div class="header hidden">${pageHeader}</div></ja:if>
	</div></div>
	
	<%-- Background audio --%>
	<ja:if exists="backgroundAudio"><div id="bgaudio"></div></ja:if>
	
</ja:if>
	<%-- Facebook commenting container --%>
	<ja:if test="${facebookCommenting}"><div id="fb-root"></div></ja:if>
	<%-- Hooks for CSS preload --%>
	<div class="hook"><span class="hook-b">&nbsp;</span><span class="hook-c">&nbsp;</span></div>
	
<%-- Extra JavaScript libraries --%>
<ja:if test="${locationCount}" not value="0"><script src="http://maps.google.com/maps/api/js?<ja:if exists="googleApiKey">key=${googleApiKey}&</ja:if>sensor=false"></script></ja:if>
<%-- jQuery library :: Google CDN first --%>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery${min}.js"></script>
<script>window.jQuery || document.write('<script src="${resPath}/jquery-1.8.3.min.js"><\/script>');</script>
<%-- jPlayer for any video or audio content --%>
<ja:if test="<%= anyMedia || !util.isEmpty(backgroundAudio) %>"><script src="${resPath}/jquery.jplayer${min}.js"></script></ja:if>
<%-- The skin --%>
<script src="${resPath}/skin${min}.js?v=${skinVersion}"></script>
<script>
	_jaWidgetBarColor = '${widgetBarColor}';
	
	<%-- Page initialization scripts --%>
	$(document).ready(function() {
			
		<%-- Fixing 100% page height in crappy browsers --%>
		if ($.browser.msie && $.browser.version <= 7) { 
			$('.container').height($('body').height());
		}
		<%-- Disable navigation keys during widget use --%>
		var enableKeys = <%= (enableKeyboard? "function() { return typeof _jaWidgetFocus === 'undefined' || !_jaWidgetFocus; };" : enableKeyboard) %>;
		
		<ja:if test="${pageType}" value="slide">
<ja:include page="slide-scripts.inc" />
		</ja:if><ja:else>
<ja:include page="index-scripts.inc" />
		</ja:else>
		
		<%-- Search --%><ja:if test="${searchOn}">
		setTimeout(function() {
			if ( typeof Search !== 'undefined' ) {
				Search.init('${rootPath}');
			}
		}, 100);
		</ja:if>
		if ( /Mobile/.test(navigator.userAgent) ) {
			if (!pageYOffset) { window.scrollTo(0, 1); }
			$(window).on('orientationchange', function() {
				if (!pageYOffset) { window.scrollTo(0, 1); }
			});
		}
	});

	<%-- Post loading libraries --%>
	if (location.protocol !== 'file:') {
		<ja:if test="<%= tumblrButton || facebookCommenting || googlePlus || pinItButton %>">
		Modernizr.load({
			load: [
				<ja:if test="${tumblrButton}">'//platform.tumblr.com/v1/share.js',</ja:if>
				<ja:if test="${facebookCommenting}">'//connect.facebook.net/${locale}/all.js#xfbml=1&appId=${facebookAppId}',</ja:if>
				<ja:if test="${googlePlus}">'https://apis.google.com/js/plusone.js',</ja:if>
				<ja:if test="${pinItButton}">'//assets.pinterest.com/js/pinit.js',</ja:if>
				''
			]<ja:if test="${facebookCommenting}">,
			complete: function() {
				fixFbComments('${pageName}');
			}</ja:if>	
		});
		</ja:if>
		<ja:if test="${useFotomoto}">
		<%-- Loading Fotomoto library :: delay=600ms --%>
		setTimeout(function() {
			Modernizr.load('//widget.fotomoto.com/stores/script/${fotomotoID}.js?api=true${fotomotoAid}');
		}, 600);
		</ja:if>
	}
	
<%-- Javascript hook --%>
<ja:if exists="jsHook"><%= engine.processTemplate(jsHook) %></ja:if>

</script>

<%-- Widget inclusion relocated --%>
<ja:widget pageType="index" />

<%-- User defined BODY code --%>
<ja:if exists="bodyHook"><%= engine.processTemplate(bodyHook) %></ja:if>
	
</body>
</html>
